/*==========================================================
Cmd_Std.h

// USB console interface. 
// Syntaxe : Commande + Parametres
//  Commande est un caractere. Ci-dessous Cmd_*
//  Les parametres sont des chaines de caracteres sans espace.
//  Le nombre de parametres est limité à 10
//  Les parametres sont séparés les un des autres par des espaces
//  La casse est ignorée: Les parametres sont automatiquement convertis en Majuscules

// NB: les commandes non standard sont definies dans Usb.h

============================================================*/
const char Msg_Patience[]      PROGMEM = {"Patientez S.V.P."};
const char Msg_Recu_USB[]      PROGMEM = {"------ Recu : "};
const char Clear_Lcd[]         PROGMEM = {"                "};
const char UnKnown[]           PROGMEM = {"Inconnu"};

#define  Cmd_ResetCV           "R"                        // Reset CV
const char Msg_ResetCV[]       PROGMEM = {"Reset CV "};
#define  Cmd_SetCV             "{"                        // Ecrit CV
#define  Cmd_SetCVbis          "("                        // Ecrit CV
const char Msg_SetCV[]         PROGMEM = {"Ecrit CV"};
#define  Cmd_GetCV             "}"                        // Lit CV
#define  Cmd_GetCVbis          ")"                        // Lit CV
const char Msg_GetCV[]         PROGMEM = {"Lit CV"};
#define  Cmd_Id                "@"                        // Identification de la version du Sketch
const char Msg_List[]          PROGMEM = {"Liste "};
#define  Cmd_Help              "?"                        // Aide (commandes disponibles)
const char Msg_Help[]          PROGMEM = {"Aide "};
#define  Cmd_GetDcc            "#"                        // Detection DCC
const char Msg_GetDcc[]        PROGMEM = {"Detecte DCC"};
#define  Cmd_SaveDcc           "!"                        // Enregistrement adresse DCC
const char Msg_SaveDcc[]       PROGMEM = {"Sauve Adresse DCC"}; // Enregistrement adresse DCC

const char Msg_Id[]            PROGMEM = {"Id "};
#define  Cmd_List              "&"                        // List des commandes disponibles

//#define  Msg_DccAdress         "Adresse DCC "             // adresse DCC actuelle
//const char Msg_DccAdress[]     PROGMEM = {"Msg_DccAdress"};

#if defined(USE_MP3)
    #define  Cmd_Joue          "J"                                      // Joue un MP3 ou une liste de MP3
    const char Msg_Joue[]      PROGMEM = {"Joue MP3. Separateur _"};
    #define  Cmd_Stop          "Z"                                      // Met fin a la lecture du MP3                 
    const char Msg_Stop[]      PROGMEM = {"Stop MP3"};
    #define  Cmd_Volume        "V"                                      // Modifie le Volume du DfPlayer
    const char Msg_Volume[]    PROGMEM = {"Volume (0-30)  "};
#endif

#if defined(I2C_Scan)
    #define  Cmd_ScanI2C       "$"                                      // Edffectue un scan I2C
    const char Msg_ScanI2C[]   PROGMEM = {"Scan I2C"};
#endif
