/*==========================================================
Mp3_Std.h
============================================================*/

#include "Mp3.h"
#include <SoftwareSerial.h>
#include <DFPlayer_Mini_Mp3.h>

// DFPlayer
#define RxDfPlayer   8      // Rx DfPlayer
#define TxDfPlayer   7      // Tx DfPlayer
SoftwareSerial DFPlayerSerial( RxDfPlayer, TxDfPlayer ); // RX, TX

#define BusyDfPlayer 17     // A3 DF-Player playing

boolean Mp3Playing = false;
//static String  Play_List="";

// ================================================================================================================
// Routines MP3
// ================================================================================================================
// =========================================================
// Init MP3
// =========================================================
void InitMP3() {
  pinMode(BusyDfPlayer, INPUT_PULLUP);
  DFPlayerSerial.begin(9600);
  mp3_set_serial(DFPlayerSerial);
  mp3_set_device(2);                      // Carte SD
  Volume=Dcc.getCV(CV_VOLUME);
  mp3_set_volume(Volume);                 // 0-30
//  Serial.println("Volume " + String(Volume));
//  Serial.print(F("Volume (0-30)  ")); Serial.println(Volume);
  Sprint_F(Msg_Volume); Serial.print(Volume); Sprintln_F(HlpCvVolume);
}

// =========================================================
// Play a track
// =========================================================
void Track_Play(int Track, String Name) {
#ifdef USE_LCD
  lcdDisplay(lcd_SndNrl,lcd_SndNrc,F("MP3       "));
  lcdDisplay(lcd_SndNrl,lcd_SndNrc+4,String(Track));
#endif
//    if (Track>0) {
  Serial.print(F("Play "));
  Fprint(Track,3);
  Volume=Dcc.getCV(CV_VOLUME);
  Serial.print(" ");
  Serial.print(Name);
  Serial.print(" v:");
  Serial.print(Volume);
  Serial.print(" ");
  mp3_set_volume(Volume);
  mp3_play(Track);
  delay(100);
  Cpt=10000;                              // Timeout MP3 = 10 sec
  while (!digitalRead(BusyDfPlayer) && Cpt>0) {      
    delay(1);
    Cpt--;
  }
  Mp3Playing=true;
//    }
  Serial.println();
}

// =========================================================
// Play next in the list
// =========================================================
String PlayListNext(String s) {
  if (!Mp3Playing) {
    int p;
    String tmp=s+"_";
    p=tmp.indexOf('_');
    s=s.substring(p+1);
    Track_Play(tmp.substring(0,tmp.indexOf('_')).toInt(),"");
  } // else Serial.println(F("Busy"));
  return s;
}
