/*==========================================================
Servomoteurs_Commun.h
============================================================*/
#include "Servos.h"
#include "Servo.h"                                // bibliotheque : pour le reglage des Min et Max
// =========================================================
// Variable servomoteurs
float servoTarget = 0.0;
Servo myservo;                                    // create servo object to control a servo

#if defined(MAM_BP)

#if defined(SlowMotionSrv)                        // Utilisation de la bibliotheque SlowMotionServo
// =========================================================
//  Initialisation des servo SlowMotionServo
// =========================================================
  void InitServo() {
    for (uint8_t n=0;n<8;n++) {
      if (BPs[n].Type==TypeServo) {
        BPs[n].Angle=(BPs[n].Max+BPs[n].Min)/2;
        BPs[n].myServo.setMin(map(BPs[n].Min,0,180,544,2400));   // 544 à 2400  544+Srv[n].Min*10.311111;
        BPs[n].myServo.setMax(map(BPs[n].Max,0,180,544,2400));   // 544 à 2400  544+Srv[n].Min*10.311111;
        BPs[n].myServo.setSpeed(5); // 1 à 30 Temps en secondes du mouvement
  //      BPs[n].myServo.setSpeed(mapfloat(BPs[n].Speed,1,9,1,30)); // 1 à 30 Temps en secondes du mouvement
        BPs[n].myServo.setReverted(false);
        BPs[n].myServo.setPin(BPs[n].Pin);
        BPs[n].myServo.setDetach(true);
        BPs[n].myServo.setInitialPosition(0.0);
        BPs[n].myServo.goTo(0.5);
      }
    }
  }
#endif // SlowMotionSrv

// =========================================================
// Step Move Servo
// =========================================================
uint8_t StepServo(uint8_t id,uint8_t P) {
//  Serial.print(id); Serial.print(" "); Serial.print(P);
//  Serial.print(" "); Serial.print(BPs[id].Min); Serial.print("-"); Serial.print(BPs[id].Max); Serial.print(" = "); Serial.print(BPs[id].Objectif);
  if (P<BPs[id].Objectif)     {
    P=P+BPs[id].Speed;
//    Serial.print("+");
  }
  else if (P>BPs[id].Objectif) {
    P=P-BPs[id].Speed;
//    Serial.print("-");
  }
//  Serial.print(BPs[id].Speed); Serial.print(":"); Serial.println(P);
  if (P<BPs[id].Min) P=BPs[id].Min;
  else if (P>BPs[id].Max) P=BPs[id].Max;
  myservo.attach(BPs[id].Pin);                    // attache le servo a la pin
//  Serial.print(":");  Serial.println(P);
  myservo.write(P);                               // positionne le servo Min Servo
  delay(50);                                      // donne 50ms au servo pour atteindre la position
  myservo.detach();                               // detache le servo de la pin    
  return P;
}

// --------------------------------------------------------
#elif defined(MAM_PN)
// --------------------------------------------------------

#endif

// =========================================================
// Move Servo for test
// =========================================================
void UpdateServo(int id,int P) {
  Serial.print("Id " + String(id+1));
  Serial.print(F(" Type "));
  Serial.print(BPs[id].Type);
  Serial.print(F(" Servo/LED Pin J"));
  Serial.print(JPin(BPs[id].Pin));
  Serial.print("=");
  Serial.print(BPs[id].Pin);
  Serial.print(" pos " + String(P));
  if (BPs[id].Type!=TypeServo) Serial.println(F(" Impossible !"));
  else {
    if (P>180) P=180;
    else if (P<0) P=0;
    myservo.attach(BPs[id].Pin);                  // attache le servo a la pin
    myservo.write(P);                             // positionne le servo Min Servo
    delay(200);                                   // donne 200ms au servo pour atteindre la position
    myservo.detach();                             // detache le servo de la pin    
    Serial.print(F(" Atteint: Modifiez le CV"));
    if (BP[id]) {
      Serial.print(CV_Base_8Fct+10*id+2);
      Serial.print(" = ");
      Serial.println(BPs[id].Min);
    } else {
      Serial.print(CV_Base_8Fct+10*id+3);
      Serial.print(" = ");
      Serial.println(BPs[id].Max);
    }
  }
}
