/*=========================================================
Usb.h

 USB console interface. 
 cmd syntax :2 digits, first digit is action, second digit is parameter
 cmd syntax: letter + number, letter is cmd as per table below, number is the new value for relevant variable
===========================================================*/
#include "Cmd_Std.h"

const char AccDcc[]              PROGMEM = {"DCC accessoire "};
const char ModeDecode[]          PROGMEM = {"Decode DCC"};
const char ModeDetect[]          PROGMEM = {"Detecte DCC"};
const char KnownDcc[]            PROGMEM = {"Adresse DCC    "};
const char OtherDcc[]            PROGMEM = {" Autre DCC ... "};
const char ExpectedDcc[]         PROGMEM = {" attendu."};
const char SaveDcc[]             PROGMEM = {"! ou BP1 = Sauve Adresse DCC "};
const char SauveDcc[]            PROGMEM = {"Sauve Adresse DCC "};
const char SauveAdr[]            PROGMEM = {"Sauve Adr "};

const char CassePied[]           PROGMEM = {"Casse pied ... patience "};
const char MissMp3[]             PROGMEM = {" MP3 Absent"};
const char DoneMp3[]             PROGMEM = {" Done"};
const char PlayMp3[]             PROGMEM = {"Joue "};

const char HlpSep[]              PROGMEM = {"=================================================="};
const char Hlp2p[]               PROGMEM = {" : "};
const char HlpCvVolume[]         PROGMEM = {" (CV15)"};
const char Msg_BpMP3[]           PROGMEM = {"MP3 / BP"};                // MP3 associés au BP
const char Refus[]               PROGMEM = {" Refus "};
const char Msg_Attendu[]         PROGMEM = {": O/F ou 1/0 attendu"};
const char Msg_BadCV[]           PROGMEM = {"CV>255"};
const char Msg_BPactif[]         PROGMEM = {"BP actif "};
// --------------------------------------------------------
#if defined(MAM_BP)
  const char CvDef0[]            PROGMEM = {" CV "};
  const char CvDef1[]            PROGMEM = {" ("};
  const char CvDef2[]            PROGMEM = {" - "};
  const char CvDef3[]            PROGMEM = {")"};
  const char CvType0[]           PROGMEM = {" : LED fixe Pin J"};
  const char CvType1[]           PROGMEM = {" : LED clignotante Pin J"};
  const char CvType2[]           PROGMEM = {" : LED fading Pin J"};
  const char CvType3[]           PROGMEM = {" : MP3 "};
  const char CvType4[]           PROGMEM = {" : Servo Pin J"};
  const char CvType5[]           PROGMEM = {" : Solenoide temporise Pin J"};
  const char CvVitesse[]         PROGMEM = {" vitesse "};
  const char CvUndef1[]          PROGMEM = {" : CV "};
  const char CvUndef2[]          PROGMEM = {" mal defini"};
  const char CvMp3[]             PROGMEM = {" : liste MP3 "};
  
  const char BPOff[]             PROGMEM = {" BP Inactifs"};
  const char Msg_Tempo[]         PROGMEM = {" Tempo : "};
  const char Msg_Fct[]           PROGMEM = {" => Fct "};
  const char Msg_Digital[]       PROGMEM = {" Digital "};
  const char Msg_Analog[]        PROGMEM = {" Analog "};
  const char Msg_SlowMotion[]    PROGMEM = {"SlowMotion"};
  const char Msg_SimuDCC[]       PROGMEM = {"Simu DCC "};
  
  #define  Cmd_Work              "W" // Travail On/Off
  const char Msg_Work[]          PROGMEM = {"BP Actif/Inactif "};
  #define  Cmd_Test              "T" // Test
  const char Msg_Test[]          PROGMEM = {"Test {J(1-8), 0/1}"};
  #define  Cmd_AdKey             "A" // AdKey
  #define  Cmd_DCC               "D" // DCC
  #define  Cmd_SetDCC            "*" // DCC
  #define  Cmd_Servo             "S" // Servo
  const char Msg_Servo[]         PROGMEM = {"Servo (J{1..8}, Angle{0-180})"};

  const char HlpCvMP3[]          PROGMEM = {"CV (150-249) "};
// --------------------------------------------------------
#elif defined(MAM_PN)
  #define  Cmd_Open              "O" // Ouverture
  #define  Msg_Open              "Ouverture"
  #define  Cmd_Close             "F" // Fermeture
  #define  Msg_Close             "Fermeture"
  #define  Cmd_Servo             "S" // Servo
  const char RecDcc[]            PROGMEM = {"\nDcc PN "};
  
  const char Init[]              PROGMEM = {"Init   "};
  const char S2[]                PROGMEM = {"Servo 2"};
  const char S3[]                PROGMEM = {"Servo 3"};
  const char S4[]                PROGMEM = {"Servo 4"};
  const char Ready[]             PROGMEM = {"Ready"};
  
  const char Closing[]           PROGMEM = {"Fermeture PN   "};
  const char Announce[]          PROGMEM = {"Annonce PN"};
  const char Close1[]            PROGMEM = {"Fermeture PN 1&3"};
  const char Close2[]            PROGMEM = {"Fermeture PN 2&4"};
  const char Closed[]            PROGMEM = {"PN ferme    "};
  
  const char Opening[]           PROGMEM = {"Ouverture      "};
  const char Open[]              PROGMEM = {"Ouverture PN    "};
  const char Opened[]            PROGMEM = {"PN ouvert       "};
  
  const char Msg_Fermeture[]     PROGMEM = {"Delay Fermeture"};          // Retard Fermeture
  const char Msg_Silence[]       PROGMEM = {"Delay Attenuation"};        // Retard Attenuation
  const char Msg_FreqLed[]       PROGMEM = {"Freq LEDs"};                // Freq clignotement
  const char Msg_CassePieds[]    PROGMEM = {"Casse Pieds"};              // Delais Anti casse pieds
  const char Msg_PNStatus[]      PROGMEM = {"Etat PN"};                  // Etat PN
  const char Msg_Nbarrieres[]    PROGMEM = {"Nbre de barrieres"};        // Nombre de barrieres 2 ou 4
  const char Msg_Attenuation[]   PROGMEM = {"Volume attenue"};           // Niveau Ettenuation
  const char Msg_Speed[]         PROGMEM = {"Temps Mouvement"};          // Temps du mouvement
  const char Msg_SensServo[]     PROGMEM = {"Sens servos"};              // Sens servomoteurs
  const char Msg_MiniServo[]     PROGMEM = {"Mini Servos"};              // Mini Servomoteurs
  const char Msg_MaxiServo[]     PROGMEM = {"Maxi Servos"};              // Maxi Servomoteurs
  const char Msg_Servo[]         PROGMEM = {"Servo (J{1..8}, Angle{0-180})"};

  const char HlpCvMP3[]          PROGMEM = {"CV 130-249  "};
// --------------------------------------------------------
#elif defined(MAM_ReadRFID)
  #define  Cmd_Msg               "M"
  const char Msg_Msg[]           PROGMEM = {"Message "};
  #define  Cmd_TestTrain         "A"
  const char Msg_TestTrain[]     PROGMEM = {"Annonce Train"};

  #define  Cmd_SetTrn            "T"                                     // Simule un Changement de position d'aiguillage
  const char Msg_SetTrn[]        PROGMEM = {"Set Turnout "};

  #define  Cmd_GetCardData       "#"                                     // Affichage info RFID
  const char Msg_GetCardData[]   PROGMEM = {"Contenu RFID"};
  #define  Cmd_GetRfidCV         "G"                                     // Get CV RFID (1 octet)
  const char Msg_GetRfidCV[]     PROGMEM = {"Get RFID CV"};
  #define  Cmd_SetRfidCV         "S"
  const char Msg_SetRfidCV[]     PROGMEM = {"Set RFID CV"};

  #define  Cmd_SetDccAD          "D"
  const char Msg_SetDccAD[]      PROGMEM = {"Definit Adresse DCC "};
// --------------------------------------------------------
#elif defined(MAM_GARE)
  #define  Cmd_SetTrn            "T"                                     // Simule un Changement de position d'aiguillage
  const char Msg_SetTrn[]        PROGMEM = {"Set Turnout "};
  #define  Cmd_TestPath          "C"                                     // Test cote quai chemin 
  const char Msg_TestPath[]      PROGMEM = {"test Chemin"};
  #define  Cmd_DCC_Start         "G"                                     // Simulation DCC Depart
  const char Msg_DCC_Start[]     PROGMEM = {"Go DCC "};

  #define  Cmd_TestTrain         "A"                                     // Arrivée d'un train
  const char Msg_TestTrain[]     PROGMEM = {"Annonce Train "};
  #define  Cmd_DepartTrain       "Q"                                     // Depart d'un train 
  const char Msg_DepartTrain[]   PROGMEM = {"Départ Train "};

  #define  Cmd_SetDccAD          "D"
  const char Msg_SetDccAD[]      PROGMEM = {"Definit Adresse DCC "};
// --------------------------------------------------------
#endif
