/*=========================================================
Usb_Std.h
===========================================================*/

#include "Usb.h"

// Parametres des commandes USB
String Param[] = { "", "", "", "", "", "", "", "", "", "", ""};

// ========================================================
// Repete Char n fois
// ========================================================
void RepeteChar(int n, char c)  // unused
{
  for (int nb=n;nb>0;nb--)   
    Serial.print(c);
}

// ========================================================
// Fprint_F
// ========================================================
void Fprint(int n, int l)
{
  Serial.print(n);
  if (l>=4 && n<1000) Serial.print(" ");
  if (l>=3 && n<100) Serial.print(" ");
  if (l>=2 && n<10 ) Serial.print(" ");
  Serial.print(" ");
}

// ========================================================
// Sprint_F
// ========================================================
  size_t Sprint_F(const char *str)
  {
    return Serial.print((const __FlashStringHelper *) str);
  }

// ========================================================
// Sprintln_F
// ========================================================
  size_t Sprintln_F(const char *str)
  {
    size_t n = Sprint_F (str);
    return (n + Serial.println());
  }

// ========================================================
// Sketch Id
// ========================================================
void SketchId() {
  Sprint_F(Msg_Decoder);
  Sprint_F(Msg_Vrs);
  Serial.println(F("   http://lormedy.free.fr"));
}

// ========================================================
// USB Serial event reader
// ========================================================
void serialEvent() {
  while (Serial.available()) {
    // acquire new character:
    char inChar = (char)Serial.read(); 
    // if it is LF, set flag for so main loop takes message into account:
    if (inChar == '\n') {
      stringComplete = true;
    } else {
    // else add this character to being build message:
      inputString += inChar;
    }
  }
}

// ========================================================
// Display help (list of available commands)
// ========================================================
void Help() {
#if defined(AideUSB)
///  Sprint_F(Msg_Decoder);Serial.print(F(" ")); Sprintln_F(Msg_Vrs);
  
  Sprintln_F(HlpSep);
  Serial.print(Cmd_Id);Serial.print(" : "); Sprintln_F(Msg_Id);
  Serial.print(Cmd_Help);Serial.print(" : "); Sprintln_F(Msg_Help);
  Serial.print(Cmd_List);Serial.print(" : "); Sprintln_F(Msg_List);

  Serial.print(Cmd_SetCV);Serial.print(" : "); Sprintln_F(Msg_SetCV);
  Serial.print(Cmd_GetCV);Serial.print(" : "); Sprintln_F(Msg_GetCV);

  Serial.print(Cmd_ResetCV);Serial.print(" : "); Sprintln_F(Msg_ResetCV);

  Serial.print(Cmd_GetDcc);Serial.print(" : "); Sprintln_F(Msg_GetDcc);
  Serial.print(Cmd_SaveDcc);Serial.print(" : "); Sprintln_F(Msg_SaveDcc);

#if defined(I2C_Scan)
  Sprintln_F(HlpSep);
  Serial.print(Cmd_ScanI2C);Serial.print(" : "); Sprintln_F(Msg_ScanI2C);
#endif

#if defined(USE_MP3)
  Sprintln_F(HlpSep);
  Serial.print(Cmd_Volume);Serial.print(" : "); Sprintln_F(Msg_Volume);
  Serial.print(Cmd_Joue);Serial.print(" : "); Sprintln_F(Msg_Joue);
  Serial.print(Cmd_Stop);Serial.print(" : "); Sprintln_F(Msg_Stop);
#endif

#if defined(USE_RFID)
  Sprintln_F(HlpSep);
//  Serial.print(Cmd_GetCardId);Serial.print(" : "); Sprintln_F(Msg_GetCardId);
//  Serial.print(Cmd_ReadCardName);Serial.print(" : "); Sprintln_F(Msg_ReadCardName);
  Serial.print(Cmd_GetCardData);Serial.print(" : "); Sprintln_F(Msg_GetCardData);
  Serial.print(Cmd_SetRfidCV);Serial.print(" : "); Sprintln_F(Msg_SetRfidCV);
  Serial.print(Cmd_GetRfidCV);Serial.print(" : "); Sprintln_F(Msg_GetRfidCV);

#endif

// --------------------------------------------------------
#if defined(MAM_BP)
  Sprintln_F(HlpSep);
  Serial.print(Cmd_Servo);Serial.print(" : "); Sprintln_F(Msg_Servo);
  Serial.print(Cmd_Test);Serial.print(" : "); Sprintln_F(Msg_Test);
  Serial.print(Cmd_Work);Serial.print(" : "); Sprintln_F(Msg_Work);
// --------------------------------------------------------
#elif defined(MAM_PN)
  Serial.print(Cmd_Servo);Serial.print(" : "); Sprintln_F(Msg_Servo);
  Sprintln_F(HlpSep);
  Serial.print(Cmd_Close);Serial.print(F(" : ")); Serial.println(Msg_Close);
  Serial.print(Cmd_Open);Serial.print(F(" : ")); Serial.println(Msg_Open);
// --------------------------------------------------------
#elif defined(MAM_ReadRFID)
  Sprintln_F(HlpSep);
  Serial.print(Cmd_SetDccAD);Serial.print(" : "); Sprintln_F(Msg_SetDccAD);

//  Serial.print(Cmd_SetUID);Serial.print(" : "); Sprintln_F(Msg_SetUID);
  Serial.print(Cmd_SetTrn);Serial.print(" : "); Sprintln_F(Msg_SetTrn);
  Serial.print(Cmd_TestTrain);Serial.print(" : "); Sprintln_F(Msg_TestTrain);

  Sprintln_F(HlpSep);
//#ifdef TestDCC
//  Serial.print(Cmd_DCC);Serial.print(" : "); Serial.println(Msg_DCC);
//#endif
  Serial.println(F("CV 16 Adresse I2C"));
  Serial.println(F("CV 40 Nb Aig Destinations"));
  Serial.println(F("CV 41 à 49 Trn Destinations"));
  Serial.println(F("CV 50 à 58 MP3 destinations"));
  Serial.println(F("CV 60 Nb Aig Provenances"));
  Serial.println(F("CV 61 à 69 Trn Provenances"));
  Serial.println(F("CV 70 à 78 MP3 Provenances"));
  Sprintln_F(HlpSep);

// --------------------------------------------------------
#elif defined(MAM_GARE)
  Serial.print(Cmd_SetDccAD);Serial.print(" : "); Sprintln_F(Msg_SetDccAD);
// --------------------------------------------------------
#endif
  Sprintln_F(HlpSep);
#endif
}
